2026-03-02 21:24:53 UTC
299 MB
/usr/java/openjdk-27
JAVA_VERSION27-ea+11
LANGC.UTF-8
PATH/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:74a8e4bbd9fe8a9fb7df9f028398fc37d20efc1cde6bf66eeeabef7755e5f5fe - 15.07% (45.1 MB)
[#001] sha256:b378f89d3b59dd1d2eadb50cf14516db8b51b7dab151586f2653e0c104fe11b7 - 12.2% (36.5 MB)
[#002] sha256:a0fff2388df8d8696b6cd91a57a90a65878a99c47b7fb50a5a6e2afe2f12a48e - 72.74% (218 MB)
ADD oraclelinux-9-slim-amd64-rootfs.tar.xz / # buildkit
2026-02-19 19:11:41 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2026-03-02 21:24:41 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2026-03-02 21:24:53 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-27
2026-03-02 21:24:53 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-03-02 21:24:53 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2026-03-02 21:24:53 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=27-ea+11
2026-03-02 21:24:53 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk27/11/GPL/openjdk-27-ea+11_linux-x64_bin.tar.gz'; downloadSha256='75a300b52539589c8c4b172ef292d5b58486de4d88d774be659975bc661767bf'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk27/11/GPL/openjdk-27-ea+11_linux-aarch64_bin.tar.gz'; downloadSha256='3bf27bc49545e677311a0eab8a838953f4726191499accef492c7feaf801e429'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2026-03-02 21:24:53 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
2026-03-02 21:26:50 UTC
2.04 GB
C:\openjdk-27
JAVA_SHA2561ddea09bd3dbc807656ba83c0c62c5c0853849c254ca1d8b04786f58bc8d2341
JAVA_URLhttps://download.java.net/java/early_access/jdk27/11/GPL/openjdk-27-ea+11_windows-x64_bin.zip
JAVA_VERSION27-ea+11
[#000] sha256:0938cf51b672b81c9804d1d5f0c57031c931f41b279270e84820c63642d6a3bd - 69.54% (1.42 GB)
[#001] sha256:456534216d0c12d9314cda831989d54bb3f542d7d43d9772ba40654db6dbd7bc - 20.17% (421 MB)
[#002] sha256:85218dcf86c9e2514eedc07715218d85e9ed6365d1643d3444e2758598250d6b - 0.0% (1.3 KB)
[#003] sha256:35e103e013778cbf5e33317ff88baa8b5893736880345e505e9887d81469e313 - 0.02% (363 KB)
[#004] sha256:c12f387b8fb26c147bba9d2d81029538d40d597732bf175e2c3276fadfd3e633 - 0.0% (1.26 KB)
[#005] sha256:ec3e8e48eb799b4e5f7596f8b161adcb3d77caa8706a2d1db57146725d601ba7 - 0.02% (347 KB)
[#006] sha256:7661f27deb07e52f217d2ffa75645b063755a95ac893f86c3aa548ba3c3b39be - 0.0% (1.34 KB)
[#007] sha256:d27019e83f7d26a4f955f9822b73e28f39e9cae2011c659a5f7a0f721ec9d00c - 0.0% (1.3 KB)
[#008] sha256:40bbb0e16b596f7fb33fabfa73710ecdd42409ca10cda9e544a6adc7fddb701f - 0.0% (1.27 KB)
[#009] sha256:cc9b052aacd88779658d72d8ab5735538537b4bba42e193ef262cde25b214831 - 10.26% (214 MB)
[#010] sha256:7d70d9025517590aeee02024377ff2bc46d342fcebfeea05a60714a54fcf735a - 0.0% (1.3 KB)
Apply image 10.0.26100.32230
2026-02-06 22:21:49 UTCInstall update 10.0.26100.32370
2026-03-02 21:25:03 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2026-03-02 21:26:14 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2026-03-02 21:26:15 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-27
2026-03-02 21:26:21 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2026-03-02 21:26:21 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=27-ea+11
2026-03-02 21:26:22 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk27/11/GPL/openjdk-27-ea+11_windows-x64_bin.zip
2026-03-02 21:26:23 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=1ddea09bd3dbc807656ba83c0c62c5c0853849c254ca1d8b04786f58bc8d2341
2026-03-02 21:26:50 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2026-03-02 21:26:50 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2026-03-02 21:34:18 UTC
1.94 GB
C:\openjdk-27
JAVA_SHA2561ddea09bd3dbc807656ba83c0c62c5c0853849c254ca1d8b04786f58bc8d2341
JAVA_URLhttps://download.java.net/java/early_access/jdk27/11/GPL/openjdk-27-ea+11_windows-x64_bin.zip
JAVA_VERSION27-ea+11
[#000] sha256:3cc21a1b754848d23f00aa65cb94ec34c9a5dc6028b3aada42039c824738d02f - 71.31% (1.39 GB)
[#001] sha256:e3c87a3784ab1d08cbacea3288e90f8106f6e7a20b792ab27cdc739fc966a73e - 17.89% (356 MB)
[#002] sha256:fb32d8d4cdda12590dd7b8059d3fd077d0a54988de5f46849a98a6a87aeea4cc - 0.0% (1.34 KB)
[#003] sha256:a79692db1cfa7f9fa3e2d44b6786497d9da26038843a9ed777f998072f746e4b - 0.02% (501 KB)
[#004] sha256:779e85f6ac7856f87f3fd32db2cd12cdc94a11c5e759754fa4489f3f8939d50f - 0.0% (1.29 KB)
[#005] sha256:b173b84a69e9a13c4ea8595fd5ab902e1f76111ff97fb2410a713e3eb474b8fe - 0.02% (319 KB)
[#006] sha256:78eb30508a9e4a57d6543d1632b982f558b9d7aad05ec5aaa3893e350b24dfc5 - 0.0% (1.31 KB)
[#007] sha256:ed81e81ee5bc3b661f1491d894793e9c7e3a8906cbbffb5c9e68a325c6d330d5 - 0.0% (1.27 KB)
[#008] sha256:703cd17f3d3dd7091d62dda1518a7e58cab64c49165eeffeb1e45d3e6316402f - 0.0% (1.29 KB)
[#009] sha256:fec8224147f07b2868dfe0fa0180c7e7aef209b17b40c17f603b9d6216ea1971 - 10.76% (214 MB)
[#010] sha256:d9b061d82a0880bd8593fc64aa1b8bd0aeb5047dd475cf3529f93dd0c295d2f9 - 0.0% (1.29 KB)
Apply image 10.0.20348.4294
2026-02-06 10:02:33 UTCInstall update 10.0.20348.4773
2026-03-02 21:31:08 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2026-03-02 21:32:18 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2026-03-02 21:32:19 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-27
2026-03-02 21:32:28 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2026-03-02 21:32:29 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=27-ea+11
2026-03-02 21:32:30 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk27/11/GPL/openjdk-27-ea+11_windows-x64_bin.zip
2026-03-02 21:32:31 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=1ddea09bd3dbc807656ba83c0c62c5c0853849c254ca1d8b04786f58bc8d2341
2026-03-02 21:34:16 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2026-03-02 21:34:18 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2026-03-02 21:24:06 UTC
297 MB
/usr/java/openjdk-27
JAVA_VERSION27-ea+11
LANGC.UTF-8
PATH/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:482e8d56575a6fbe539cfb44150fa96593766f3af0610165cb5c8a63fa68d8db - 14.76% (43.8 MB)
[#001] sha256:693a35fbad5e339ce57961bc78978d895c6cdf1e4ac0630de341d4ffb92f2c99 - 12.44% (36.9 MB)
[#002] sha256:8deb53670e5a776130fe4b9931c060550e0a0ded14903f7956657142f17c1c5a - 72.8% (216 MB)
ADD oraclelinux-9-slim-arm64v8-rootfs.tar.xz / # buildkit
2026-02-19 19:06:57 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2026-03-02 21:23:43 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2026-03-02 21:24:06 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-27
2026-03-02 21:24:06 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-03-02 21:24:06 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2026-03-02 21:24:06 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=27-ea+11
2026-03-02 21:24:06 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk27/11/GPL/openjdk-27-ea+11_linux-x64_bin.tar.gz'; downloadSha256='75a300b52539589c8c4b172ef292d5b58486de4d88d774be659975bc661767bf'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk27/11/GPL/openjdk-27-ea+11_linux-aarch64_bin.tar.gz'; downloadSha256='3bf27bc49545e677311a0eab8a838953f4726191499accef492c7feaf801e429'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2026-03-02 21:24:06 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.